MMI Update for dual SIM card functionality

chasdrury

Registered User
Hi

We have a 2012 A6 with MMI 3G+ (with the SIM in the dashboard). It's got an old firmware, so, if there is a SIM in the slot we have to use that for calls. I know the newer cars with a later firmware have the possibility to use the Bluetooth for calls while data is used on the SIM card.

Has anyone persuaded an Audi dealer to do the update - they said it's "not supported" and can't have the upgrade unless there is a problem.

Or, is there anyone who has the source media for the update - we are on 532 at the moment and I believe we need to be at 770

Cheers
Chas
 

B5NUT

Well-Known Member
VCDS Map User
The problem you have even if the dealer applied the 770 firmware, the maps also need to be updated as the 2012 maps version is not compatible with your firmware. So you could pay for a map update that would include the 770 firmware or if your car is out of warranty then you can update the firmware & maps yourself.
 

CharlesElliott

Registered User
OK, you need to 'obtain' firmware _770 (or _783). As you have BOSE, you'll need to be careful to manually de-select the BOSE update, otherwise component protection will kick in and require a dealer trip to fix.

One installed, you need to use VCDS to access the green menu and enable NAD mode. Once done, MMI will allow you to select the Bluetooth phone for calls whilst retaining dash SIM for data. There shouldn't be any issue with 2012 maps, they will work with 770 in my experience.

It would be easier to complain about Bluetooth not working well etc., to persuade the dealer to do it for you. Or ring another dealer and say you are having trouble with Bluetooth on your new phone and is there an update....
 

chasdrury

Registered User
Ok thanks for the replies. So if we're happy to pay for a map upgrade, does the firmware come too? (from an Audi dealer?)
 

CharlesElliott

Registered User
They are separate part numbers and there is no need for the dealer to update the firmware - so probably not. It seems like Audi don't like upgrading firmware unless there is a 'reason'.

Depends on the dealer though....
 

chasdrury

Registered User
Thanks, good to know!
 

B5NUT

Well-Known Member
VCDS Map User
You will need the latest firmware to run the latest maps, don't bother trying without it. Also the Bose issue is not down to CP but a possible corruption is the sound, see this link. http://gpsunderground.com/forum/audi/35752-disable-bose-update-mmi-3gp.html

If you want to update the MMI yourself have a good read of GPS underground you will find all of the required files/software to update your MMI system. http://gpsunderground.com/forum/audi/34587-audi-mmi-3g-hdd-europe-2015-version-6-20-4-a.html
 
Last edited:
Top